org.apache.struts2.jasper.xmlparser

## Class XMLString

- java.lang.Object
- - org.apache.struts2.jasper.xmlparser.XMLString

- Direct Known Subclasses:
    XMLStringBuffer

      public class XMLString
      extends Object

  This class is used as a structure to pass text contained in the underlying character buffer of the scanner. The offset and length fields allow the buffer to be re-used without creating new character arrays.

  Note: Methods that are passed an XMLString structure should consider the contents read-only and not make any modifications to the contents of the buffer. The method receiving this structure should also not modify the offset and length if this structure (or the values of this structure) are passed to another method.

  Note: Methods that are passed an XMLString structure are required to copy the information out of the buffer if it is to be saved for use beyond the scope of the method. The contents of the structure are volatile and the contents of the character buffer cannot be assured once the method that is passed this structure returns. Therefore, methods passed this structure should not save any reference to the structure or the character array contained in the structure.

  Version:
    $Id: XMLString.java 467222 2006-10-24 03:17:11Z markt $
  Author:
    Eric Ye, IBM, Andy Clark, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `char[]` | `ch` The character array.
    `int` | `length` The length of characters from the offset.
    `int` | `offset` The offset into the character array.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLString()` Default constructor.
    `XMLString(char[] ch, int offset, int length)` Constructs an XMLString structure preset with the specified values.
    `XMLString(XMLString string)` Constructs an XMLString structure with copies of the values in the given structure.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Resets all of the values to their defaults.
    `boolean` | `equals(char[] ch, int offset, int length)`
    `boolean` | `equals(String s)`
    `void` | `setValues(char[] ch, int offset, int length)` Initializes the contents of the XMLString structure with the specified values.
    `void` | `setValues(XMLString s)` Initializes the contents of the XMLString structure with copies of the given string structure.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ch

          public char[] ch

      The character array.

    - #### offset

          public int offset

      The offset into the character array.

    - #### length

          public int length

      The length of characters from the offset.

  - ### Constructor Detail

    - #### XMLString

          public XMLString()

      Default constructor.

    - #### XMLString

          public XMLString(char[] ch,
                           int offset,
                           int length)

      Constructs an XMLString structure preset with the specified values.
      Parameters:
        `ch` - The character array.
        `offset` - The offset into the character array.
        `length` - The length of characters from the offset.

    - #### XMLString

          public XMLString(XMLString string)

      Constructs an XMLString structure with copies of the values in the given structure.

      Note: This does not copy the character array; only the reference to the array is copied.

      Parameters:
        `string` - The XMLString to copy.

  - ### Method Detail

    - #### setValues

          public void setValues(char[] ch,
                                int offset,
                                int length)

      Initializes the contents of the XMLString structure with the specified values.
      Parameters:
        `ch` - The character array.
        `offset` - The offset into the character array.
        `length` - The length of characters from the offset.

    - #### setValues

          public void setValues(XMLString s)

      Initializes the contents of the XMLString structure with copies of the given string structure.

      Note: This does not copy the character array; only the reference to the array is copied.

      Parameters:
        `s` - xml string

    - #### clear

          public void clear()

      Resets all of the values to their defaults.

    - #### equals

          public boolean equals(char[] ch,
                                int offset,
                                int length)

      Parameters:
        `ch` - The character array.
        `offset` - The offset into the character array.
        `length` - The length of characters from the offset.
      Returns:
        true if the contents of this XMLString structure and the specified array are equal.

    - #### equals

          public boolean equals(String s)

      Parameters:
        `s` - The string to compare.
      Returns:
        true if the contents of this XMLString structure and the specified string are equal.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this object.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.